//設定cookie
function setCookie(name,value)
{
    var Days = 30;
    var exp = new Date();
    exp.setTime(exp.getTime() + Days*24*60*60*1000);
    document.cookie = name + "="+ escape (value) + ";expires=" + exp.toGMTString();
}

//獲取cookie
function getCookie(name)
{
    var arr,reg=new RegExp("(^| )"+name+"=([^;]*)(;|$)");
    if(arr=document.cookie.match(reg))
    return unescape(arr[2]);
    else
    return null;
}

// 讀取語系設定
let lang = localStorage.getItem('lan');

console.log('目前語系設定: ' + lang); // test

if(lang == null) {
    console.log('未設定語系'); // test
    
    // 自動設定語系
    var userlang = window.navigator.userLanguage || window.navigator.language;
    userlang = userlang.toLowerCase();

    console.log('userlang: ' + userlang); // test

    if (userlang == 'zh-tw') {
        console.log('自動設定語系: 繁體中文');
        lang = 'zh';
    } else if (userlang == 'en-us') {
        console.log('自動設定語系: 英文');
        lang = 'en';
    } else if (userlang == 'zh-cn') {
        console.log('自動設定語系: 繁體中文');
        lang = 'zh';
    } else {
        console.log('自動設定語系: 繁體中文');
        lang = 'zh';
    }
}

var zh = {
    "logleftbox1": "將你的生活、創作 、宣傳做成影片",
    "logleftbox2": "開始使用 AI Spokesgirl",
    "make_video" : "影片製作",
    "make_slides" : "投影影片製作",
    "make_video_long": "長影片製作",
    "make_video_eng": "純英文影片製作",
    "login" : "登入",
    "login_link" : "立即登入",
    "user_profile": "會員資料",
    "logout": "登出",
    "userName": "使用者名稱",
    "emailAddress": "電子信箱",
    "register_password": "設定密碼",
    "confirm_password": "確認密碼",
    "password_length": "(4-12位數密碼)",
    "password_confirm_txt": "(再次輸入您的密碼)",
    "logout-m": "<i class='fas fa-sign-out-alt text-white me-3'></i>登&emsp;&ensp;出",
    "en": "English",
    "zh": "中文",
    "choose_character": "選擇人物",
    "usage_intro": "使用說明",
    "history": "歷史紀錄",
    "preview_videos": "預覽影片",
    "video_link":  "影片連結",
    "video_title": "標題",
    "p_choose_character": "請選擇人物",
    "lines": "台詞",
    "content": "內容素材",
    "img_link": "影像連結",
    "processing_progress": "處理進度",
    "usage_intro": "使用說明",
    "slide_howto_use": "1. 投影片將作為背景圖，備註中的文字則為虛擬主播的講稿內容。",
    "one_line_to_one_img": "1. 一句台詞請對應提供一個影像連結做為搭配",
    "sup_img_profile": "2. 影像連結檔案格式支援：",
    "submit_to_wait": "3. 點選“送出”之後需等待一段影片製作的時間，請您耐心等候，待製作完畢可於通知網址查看",
    "add_eng": "加入英文:",
    "submit": "送出",
    "privacy_term": "同意隱私政策及使用條款",
    "privacy_term_1": "註冊即表示您已閱讀並同意",
    "privacy_term_2": "服務條款",
    "privacy_term_3": "及",
    "privacy_term_4": "隱私權政策",
    "newHere": "還沒有帳號？",
    "oldHere": "已經有帳號？",
    "goRegister": "註冊",
    "goRegister_link": "立即註冊",
    "pricing" : "早鳥方案",
    "pricing-m" : "<i class='fas fa-tags me-2'></i>&ensp;早鳥方案",
    "errorEmail": "請輸入正確E-mail",
    "errorPsd": "密碼至少為4個字元",
    "errorConsistentPsd": "密碼輸入需一致",
    "used": "已使用",
    "left": "未使用",
    "sec": "秒",
    "username": "帳號/用戶名稱",
    "password": "密碼",
    "resetPsd": "更改密碼",
    "forgotPsd": "忘記密碼",
    "details": "查看詳情",
    "refill": "我要加值",
    "Createsthtoday": "今天要做甚麼影片呢?",
    "date": "日期",
    "video_duration": "影片時間 / 秒",
    "slide_link": "SLIDE 連結",
    "new_pwd": "新密碼",
    "confirm_pwd": "驗證碼",
    "pricing_lan": "語言選擇: 中文 | 英文",
    "pricing_avatars": "多款預設AI代言主播任你選",
    "pricing_content": "畫面素材支援: 圖檔 | 影檔 | 簡報",
    "pricing_discount": "限時優惠",
    "pricing_checkout": "立即註冊",
    "mins": "分鐘",
    "launch_special": "早鳥方案",
    "index_li1_1": "支援中英文內容",
    "index_li1_2": "可加入字幕",
    "index_li2_1": "無人物肖像權問題",
    "index_li2_2": "人物表情、動作自然",
    "index_li2_3": "因應主題，選擇合適人物",
    "index_li3_1": "可上傳圖片或是影片作為背景",
    "index_li3_2": "可輸入文字腳本及投影片",
    "index_action": "想要快速製作影音內容？立即註冊，開始創作！",
    "follow_us": "關注我們",
    "contact_name": "集仕多股份有限公司",
    "address": "新竹縣竹北市復興二路229號9樓之9",
    "contact_tel": "聯絡電話",
    "contact_mail": "聯絡信箱",
    "draft_edit": "編輯",
    "drafts": "草稿夾",
    "save_draft_btn": "存為草稿",
    "upload_file": "上傳檔案",
    "intro_img": "static/img/intro2.jpg",
    "no_draft": "目前沒有草稿喔",
    "trial_title": "想要免費獲得更多時間額度？",
    "trial_txt": "透過社群分享專屬連結，邀請好友註冊 AI Spokesgirl，凡是好友透過連結註冊成功，您可以免費獲得2分鐘製作額度。",
    "share": "分享",
    "close": "關閉",
    "video_long_title": "長影片範例",
    "index-usecases": "應用情境",
    "usecase_1": "產品介紹",
    "usecase_2": "教育培訓",
    "usecase_3": "氣象播報",
    "usecase_4": "新聞播報",
    "usecase_5": "個人內容創作",
    "usecase_6": "觀光導覽",
    "usecase_7": "展覽導覽",
    "usecase_8": "廣告行銷",
    "hero_title": "製作影片 一鍵合成",
    "hero_txt1": "輸入文字素材，即速產生影片，創作影片，不再需要錄影機、演員、麥克風繁雜器材。大幅省下時間、人力、器材成本。",
    "Virtual_Anchor":"虛擬AI擬真主播",
    "Virtual_Anchor_text":"匯集多種AI智能技術、能說各種國外語言、技術強大快速部屬、影片經濟效益大、無論內銷外銷、嘴型真實感。",
    "index-sec02":"static/img/index/组 29.webp",
    "index-sec02-m":"static/img/index/组 29-m.webp",
    "errorUsername": "請輸入英文字元及數字"
};

var en = {
    "logleftbox1": "Make your first video for promotion, creation and life today",
    "logleftbox2": "Let's get started with AI Spokesgirl",
    "make_video" : "Make Videos",
    "make_slides" : "Make Videos By Slides",
    "make_video_long": "Make Long Videos",
    "make_video_eng": "Make English Video",
    "login" : "Login",
    "login_link" : "Login",
    "user_profile": "User Profile",
    "logout": "Logout",
    "userName": "User name",
    "emailAddress": "Email Address",
    "register_password": "Password",
    "confirm_password": "Confirm Password",
    "password_length": "(4-12 Characters long)",
    "password_confirm_txt": "(Type your password again)",
    "en": "English",
    "zh": "中文",
    "choose_character": "Choose Character",
    "usage_intro": "Usage Introduction",
    "history": "History",
    "preview_videos": "Preview Videos",
    "video_link":  "Video Link",
    "video_title": "Video Title",
    "p_choose_character": "Choose Character",
    "lines": "Lines",
    "content": "Content",
    "img_link": "Image Link",
    "processing_progress": "Processing Progress",
    "usage_intro": "Usage Introduction",
    "slide_howto_use": "1. Each slide would appear as main image and the the content speaker notes will be the content what the avatar says.",
    "one_line_to_one_img": "1. Please Provide an Image Link Corresponding to a Line as a Collocation",
    "sup_img_profile": "2. Supported File Format:",
    "submit_to_wait": "3. After Clicking Submit, You Will Need To Wait For A Period Of Time For The Production Of The Video. Please Wait Patiently. You Can Check It At The Notification URL When The Production Is Completed.",
    "add_eng": "Allow English Lines:",
    "submit": "Submit",
    "privacy_term": "I Agree to privacy policy and terms of use.",
    "privacy_term_1": "Registeration implies acception of",
    "privacy_term_2": "terms of use",
    "privacy_term_3": "and",
    "privacy_term_4": "privacy policy",
    "newHere": "New here?",
    "oldHere": "Already have an account？",
    "goRegister": "REGISTER",
    "goRegister_link": "REGISTER",
    "pricing" : "Pricing",
    "errorEmail": "Please enter valid Email format.",
    "errorPsd": "Passwords must be at least 4 characters long.",
    "errorConsistentPsd": "Two input password must be consistent.",
    "used": "Already Used",
    "left": "Left",
    "sec": "Sec",
    "username": "User Name",
    "password": "Password",
    "resetPsd": "Reset Password",
    "forgotPsd": "Forgot Password",
    "details": "Details",
    "refill": "Refill",
    "Createsthtoday": "Create something today!",
    "date": "Date",
    "video_duration": "Duration / sec",
    "slide_link": "SLIDE Link",
    "new_pwd": "New Password",
    "confirm_pwd": "Confirmation Code",
    "pricing_lan": "Language Options: Ch | Eng",
    "pricing_avatars": "Over 6 Avatars Available",
    "pricing_content": "You can upload: images, MP4, slides",
    "pricing_discount": "Special Discount",
    "pricing_checkout": "Check it out",
    "mins": "Minutes",
    "launch_special": "Launch special",
    "index_li1_1": "Support english & chinese content",
    "index_li1_2": "Caption included",
    "index_li2_1": "Free of portrait rights",
    "index_li2_2": "Natural facial expression",
    "index_li2_3": "Choose built-in avatars for your need",
    "index_li3_1": "Generate videos from text",
    "index_li3_2": "Upload images, video, slides as backgrounds",
    "index_action": "Want to make video faster? Sign up to start creating!",
    "follow_us": "Follow us",
    "contact_name": "Choozmo Inc.",
    "address": "Rm. 9, 9F., No. 229, Fuxing 2nd Rd., Zhubei City, Hsinchu County 302052, Taiwan (R.O.C.)",
    "contact_tel": "Tel",
    "contact_mail": "Email",
    "draft_edit": "Edit",
    "drafts": "Drafts",
    "save_draft_btn": "Save as Draft",
    "upload_file": "Upload",
    "intro_img": "static/img/intro_en.png",
    "no_draft": "No drafts yet.",
    "trial_title": "Want to get more minutes?",
    "trial_txt": "Invite your friends to AI Spokesgirl and for each eligible one that signs up from your referral, we'll give you 2 more minutes free!",
    "share": "Share:",
    "close": "Close",
    "video_long_title": "Long Video Demo",
    "index-usecases": "Use Cases",
    "usecase_1": "Product Walkthrough",
    "usecase_2": "Learning & Development",
    "usecase_3": "Weather Report",
    "usecase_4": "News Report",
    "usecase_5": "Personal Creation",
    "usecase_6": "Sightseeing Guide",
    "usecase_7": "Museum Guide",
    "usecase_8": "Marketing",
    "hero_title": "Create AI video at a click!",
    "hero_txt1": "No more actors, cameras and microphones.Make a video by typing and clicking in 3 steps.AI Spokesgirl saves you time and money.",
    "Virtual_Anchor": "Virtual Anchor",
    "Virtual_Anchor_text":"Create video from text. make a video in 3 steps. produce in more than 20 languages. get video in minutes. a variety of avatars available.",
    "index-sec02":"static/img/index/Group 29.webp",
    "index-sec02-m":"static/img/index/Group 30.webp",
    "errorUsername": "Please enter number or english characters only."
};

function switchLanContent(val){
    $('[set-lan]').each(function(){
        var me = $(this);
        var a = me.attr('set-lan').split(':');
        var p = a[0];   //文字放置位置
        var m = a[1];   //文字標示
        
        //用虎選擇語言後保存在cookie中，這裡讀取cooikes的語言版本
        // var lan = getCookie('lan');
       // console.log(lan);
        //選取語言文字
        switch(val){
            case 'zh':
                var t = zh[m];  
                break;
            case 'en':
                var t = en[m];
                break;
            default:
                var t = zh[m];
        }
    
        //所選語言沒有就換
        if(t==undefined) t = en[m];
        if(t==undefined) t = zh[m];
    
        if(t==undefined) return true;   //都沒有就跳出
    
        //文字放置位置有（html,val等，可以自己添加）
        switch(p){
            case 'html':
                me.html(t);
                break;
            case 'placeholder':
                me.attr('placeholder', t);
                console.log("placeholder");
            case 'val':
            case 'value':
                me.val(t);
                break;
            case 'img':
                me.attr('src', t);
                break;
            default:
                me.html(t);
        }
    
    });
}

changeLang(lang);
function changeLang(val) {
    localStorage.setItem('lan', `${val}`);
    // setCookie('lan', val);
    switchLanContent(val);
}

// 4. 轉換
function changeLan(val) {
    var val = val.value;
    console.log(`val: ${val}`);
    localStorage.setItem('lan', `${val}`);
    // setCookie('lan', val);
    switchLanContent(val);
}



// js裡面的轉換
function get_lan(m)
{
    //獲取文字
    var lan = getCookie('lan');     //語言版本
    //選取語言文字
    switch(lan){
        case 'zh':
            var t = zh[m];
            break;
        case 'hk':
            var t = hk[m];
            break;
        default:
            var t = en[m];
    }

    //如果沒有找到就轉換其他語言
    if(t==undefined) t = zh[m];
    if(t==undefined) t = en[m];
    if(t==undefined) t = hk[m];

    if(t==undefined) t = m; //如果還是沒有就直接用標示

    return t;
}
